// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

cv=%pi/180; // From degree to radian

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Initial data
// mv=Anfangsgeschwindigkeit [m/s] ('muzzle velocity')
// qe=Richtwinkel [°]  ('quadrant elevation')
// OmegaBO=Azimuthwinkel des Anfangs-Geschwindigkeitsvektors [°]
// t_0=Startzeitpunkt [s]
// x_0=Startortkoordinaten [m]
// v_0=Komponenten der Anfangsgeschwindigkeit
// t_end=Endzeitpunkt der Integration; sie gegebenenfalls erhöht werden
// steps=Anzahl der Integrationsschritte zwischen t_0 und t_end

// ENU data

Radar_Latitude=52; // [°]
Radar_Altitude=0;

mv=450;
// [m/v] Muzzle velocity - value

qe_g=45;
// [°] Muzzle velocity - quadrant elevation

OmegaBO_g=0;
// [°] Muzzle velocity - azimuth

t_0=0;

x_0=[100;0;0];
// [m] Firing position, in ENU coordinates

withSpin=%F;
// '%T' or '%F' for Lift/Spin

t_end=180; // 60
steps=800; // 800

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

v_0=[mv*cos(qe_g*cv)*cos(OmegaBO_g*cv);..
     mv*cos(qe_g*cv)*sin(OmegaBO_g*cv);..
     mv*sin(qe_g*cv)];
// ENU data

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Radar data
// phi1 = geodedic latitude
// h1 = Radar altitude (meters)
// Wv = Velocity of wind, 3 components

RadarData=[];

RadarData.phi1=Radar_Latitude*cv;

RadarData.h1=Radar_Altitude;

RadarData.Wv=zeros(3,1);
RadarData.Wv(1)=0;
RadarData.Wv(2)=0;
RadarData.Wv(3)=0;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Projectile data
// Kd = drag parameter

ProjectileData=[];

ProjectileData.withSpin=withSpin;
// '%T' or '%F'

ProjectileData.Kd=5.6E-04;
// Drag

ProjectileData.OmegaBO=0;
// Will be calculated

ProjectileData.lambda=2.0/7.0;
// Lift/Spin

ProjectileData.FiringPosition=x_0;
// in ENU coordinates
// Firing position or the 'sky point'

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

exec ("C:\Users\Bernd\Werkbank\SciLab\Ballistics\Model\ballistics.sci");




